BlockAds API
Home
Home
Github
    • health
      GET
    • get filter
      GET
    • build
      POST
    • rebuild all
      POST
    • delete filter
      DELETE

      rebuild all

      Developing
      POST
      https://complier.pwhs.app/api/filters/rebuild-all
      Last modified:2026-03-21 23:46:03
      Maintainer:nqmgaming

      Request

      Authorization
      Provide your bearer token in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Bearer ********************

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request POST 'https://complier.pwhs.app/api/filters/rebuild-all' \
      --header 'Authorization: Bearer <token>'
      Response Response Example
      {
          "message": "Started rebuilding 387 filters in the background",
          "status": "success"
      }
      Modified at 2026-03-21 23:46:03
      Previous
      build
      Next
      delete filter
      Built with